Subject: Re: need pointers to documentation
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: Jon LaBadie <[email-masked]>
Date: Thu, 2 May 2002 23:24:58 -0400

On Thu, May 02, 2002 at 11:09:20PM -0400, Jon LaBadie wrote:
>On my Unix and Linux systems I use a backup manager called "amanda"
>which works across my lan to a single unix tape host.
>
>For backing up windows clients amanda works well with Samba,
>but I don't :)  So I've compiled the amanda client under cygwin
>and am using it to backup my single w2k box.
>
>Now I would like to investigate telling other amanda users how
>to do the same with a minimal cygwin installation.  This might
>take 3 forms:
>
> 1. amanda seldom distributed as a binary, so a minimal development
>    cygwin environment is one option
>
> 2. a pre-built amanda binary with instructions for what minimal
>    cygwin components the user must obtain and install
>
> 3. a pre-built amanda binary bundled with the necessary cygwin
>    components (not sure what legalities this entails)
>
>I'd appreciate pointers to any information on this topic.

No matter what you choose, remember that cygwin is GPLed software.
If you distribute a binary, you must make sources available under
the terms of the GPL.  Usually that means that if you are downloading
from the net, you have to make the exact sources for all of the
binaries that you distribute available.  If you produce a CD,
the easiest thing is to provide the sources on the same CD (or
an accompanying CD).

If you distribute any part of the cygwin release, then you need to
provide sources for that part of the release.  Just pointing to the
sources "over there" on cygwin.com is not adequate.

To answer your specific question: in theory, all that you should
need is amanda (plus sources) and the cygwin DLL (plus sources if
you distribute it) for amanda to work.

If you are talking about providing a commercial package then Red Hat
does offer non-GPL options for the cygwin DLL but they cost $$$ of
course.  You'd still have to conform to the Amanda license, of course.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/